{join, basename} = require 'path'
docco = require 'docco'
glob = require 'glob'
assert = require 'assert'
{action} = require './core'

@docco = (sourceFiles, outputDir) ->
  assert typeof sourceFiles is 'string'
  assert typeof outputDir is 'string'
  inPaths = glob.sync sourceFiles
  outPaths = inPaths.map (inPath) ->
    join outputDir, basename(inPath).replace /\.\w+$/, '.html'
  action inPaths, outPaths, ({callback, log}) ->
    log 'generaring documentation'
    docco.document inPaths, {output: outputDir}, ->
      callback()
