fs = require 'fs'
path = require 'path'
assert = require 'assert'

@assertCalledOnce = (f) ->
  assert typeof f is 'function'
  called = false
  (args...) ->
    assert not called, 'Function marked as callable once got called twice.'
    called = true
    f args...

@mkdirs = mkdirs = (d, callback) ->
  assert typeof d is 'string'
  if fs.existsSync d # this call has to be synchronous
    callback()
  else
    mkdirs path.dirname(d), ->
      fs.mkdir d, (err) ->
        if err then throw err
        callback()
